export interface PackageEntity {
  label: string
  isDefault: boolean
  key: string
}

// 任务包配置
export const workPackageMap: Recordable<PackageEntity> = {
  packagename: {
    label: '任务包名称',
    isDefault: true,
    key: 'packageName',
  },
  generationtime: {
    label: '生成时间',
    isDefault: true,
    key: 'generationtime',
  },
  plan: {
    label: '所属计划',
    isDefault: true,
    key: 'plan',
  },
  upuser: {
    label: '提报人',
    isDefault: true,
    key: 'upuser',
  },
  uptime: {
    label: '提报时间',
    isDefault: false,
    key: 'upuser',
  },
  isrepeatpicture: {
    label: '是否为重复图片',
    isDefault: false,
    key: 'upuser',
  },
  status: {
    label: '任务状态',
    isDefault: false,
    key: 'upuser',
  },
  terminal: {
    label: '拜访终端',
    isDefault: false,
    key: 'upuser',
  },
  isrepeatsum: {
    label: '是否为重复小结',
    isDefault: false,
    key: 'upuser',
  },
  project: {
    label: '所属项目',
    isDefault: false,
    key: 'upuser',
  },
  city: {
    label: '拜访省份/直辖市',
    isDefault: false,
    key: 'upuser',
  },
  customerlevel: {
    label: '拜访客户级别',
    isDefault: false,
    key: 'upuser',
  },
  projectlevel: {
    label: '拜访项目级别',
    isDefault: false,
    key: 'upuser',
  },
  tasktype: {
    label: '任务类型',
    isDefault: false,
    key: 'upuser',
  },
  tasksource: {
    label: '任务来源',
    isDefault: false,
    key: 'upuser',
  },
  filtertime: {
    label: '筛选时间',
    isDefault: false,
    key: 'upuser',
  },
}

// 自定义填报信息配置
export const ReportInfoConfig: Recordable<PackageEntity> = {
  terminalName: {
    label: '拜访终端名称',
    isDefault: false,
    key: 'upuser',
  },
  location: {
    label: '定位信息',
    isDefault: false,
    key: 'upuser',
  },
  visitTime: {
    label: '拜访日期',
    isDefault: false,
    key: 'upuser',
  },
  distance: {
    label: '定位距离',
    isDefault: false,
    key: 'upuser',
  },
  visitSum: {
    label: '拜访小结',
    isDefault: false,
    key: 'upuser',
  },
  projectClassfiy: {
    label: '拜访项目类别',
    isDefault: false,
    key: 'upuser',
  },
  departName: {
    label: '科室名称',
    isDefault: false,
    key: 'upuser',
  },
  caseNum: {
    label: '病例号',
    isDefault: false,
    key: 'upuser',
  },
  level: {
    label: '拜访级别',
    isDefault: false,
    key: 'upuser',
  },
  isRepeatPic: {
    label: '是否为重复图片',
    isDefault: false,
    key: 'upuser',
  },
  fileName: {
    label: '字段名称',
    isDefault: false,
    key: 'upuser',
  },
  fileInfo: {
    label: '附件信息',
    isDefault: false,
    key: 'upuser',
  },
}

export const fieldMap = {
  field1: '提报人',
  field2: '拜访客户类型',
  field3: '拜访客户名称',
  field4: '任务来源',
  field5: '厂商',
  field6: '拜访客户级别',
  field7: '科室名称',
  field8: '拜访小结',
  field9: '产品名称',
  field10: '定位信息',
  field11: '拜访日期',
  field12: '定位距离',
  field13: '病历号',
  field14: '是否重复',
  field15: '任务类型',
  field16: '任务状态',
  field17: '项目类别',
}
